Index: src/cache_manager.c
===================================================================
RCS file: /squid/squid/src/cache_manager.c,v
retrieving revision 1.31
diff -u -p -r1.31 cache_manager.c
--- src/cache_manager.c	26 Feb 2007 09:11:10 -0000	1.31
+++ src/cache_manager.c	25 Dec 2007 16:46:17 -0000
@@ -63,6 +63,7 @@ static void cachemgrStateFree(cachemgrSt
 static char *cachemgrPasswdGet(cachemgr_passwd *, const char *);
 static const char *cachemgrActionProtection(const action_table * at);
 static OBJH cachemgrShutdown;
+static OBJH cachemgrReconfigure;
 static OBJH cachemgrMenu;
 static OBJH cachemgrOfflineToggle;
 
@@ -272,6 +273,14 @@ cachemgrShutdown(StoreEntry * entryunuse
 }
 
 static void
+cachemgrReconfigure(StoreEntry * sentry)
+{
+    debug(16, 0) ("Reconfigure by command.\n");
+    reconfigure(SIGHUP);
+    storeAppendPrintf(sentry, "Reconfiguring Squid Process ....");
+}
+
+static void
 cachemgrOfflineToggle(StoreEntry * sentry)
 {
     Config.onoff.offline = !Config.onoff.offline;
@@ -331,6 +340,9 @@ cachemgrInit(void)
     cachemgrRegister("shutdown",
 	"Shut Down the Squid Process",
 	cachemgrShutdown, 1, 1);
+    cachemgrRegister("reconfigure",
+	"Reconfigure the Squid Process",
+	cachemgrReconfigure, 1, 1);
     cachemgrRegister("offline_toggle",
 	"Toggle offline_mode setting",
 	cachemgrOfflineToggle, 1, 1);
Index: src/cf.data.pre
===================================================================
RCS file: /squid/squid/src/cf.data.pre,v
retrieving revision 1.450
diff -u -p -r1.450 cf.data.pre
--- src/cf.data.pre	20 Dec 2007 10:16:03 -0000	1.450
+++ src/cf.data.pre	25 Dec 2007 16:46:18 -0000
@@ -5289,6 +5289,7 @@ DOC_START
 		offline_toggle *
 		pconn
 		peer_select
+		reconfigure *
 		redirector
 		refresh
 		server_list
